-- by modelleicher
-- http://schwabenmodding.bplaced.net
-- geschrieben fr den Eicher EA 400 Traktometer

animatedDetails = {};

function animatedDetails.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function animatedDetails:load(xmlFile)
    -- Tankfuellstandwarnleuchte --
	self.tankWarnLeuchte = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.animatedDetails.tankWarnLeuchte#index"));
	self.tankWarnMenge = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.animatedDetails.tankWarnLeuchte#warnValue"), 15);
	
	-- Gaspedal aka rpm --
	self.gasPedal = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.animatedDetails.gasPedal#pedalIndex"));
	self.gasPedalMultiplicator = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.animatedDetails.gasPedal#multiplicator"), 0.5);
	self.gasPedalMaxRot = Utils.getNoNil(getXMLFloat(xmlFile, "vehicle.animatedDetails.gasPedal#maxRotation"), 170);
end;

function animatedDetails:delete()
end;
function animatedDetails:mouseEvent(posX, posY, isDown, isUp, button)
end;
function animatedDetails:keyEvent(unicode, sym, modifier, isDown)
end;
function animatedDetails:update(dt)
	if self:getIsActive() then
		-- Tankfuellstandwarnleuchte --
		local actualTankInhalt = 0;
		if self.fuelCapacity > 0 then
			actualTankInhalt = (self.fuelFillLevel / self.fuelCapacity + 0.0001) * 100;
		end;
		if actualTankInhalt < self.tankWarnMenge then
			setVisibility(self.tankWarnLeuchte, true);
		else
			setVisibility(self.tankWarnLeuchte, false);
		end;

	else
		-- Tankfuellstandwarnleuchte --
		setVisibility(self.tankWarnLeuchte, false);
	end;
end;

function animatedDetails:updateTick(dt)
end;
function animatedDetails:draw()
end;

